Get Log Details

GET/api/v1/logs/{id}
X-API-Key<token>

Your Sim API key (personal or workspace). Generate one from the Sim dashboard under Settings > API Keys.

In: header

Path Parameters

id*string

The unique identifier of the log entry.

Response Body

application/json

application/json

application/json

application/json

curl -X GET \  "https://www.sim.ai/api/v1/logs/{id}" \  -H "X-API-Key: YOUR_API_KEY"
{
  "data": {
    "id": "log_abc123",
    "workflowId": "3b1f7c92-8d4e-4a6b-9c0d-5e2f8a714b36",
    "executionId": "c7a92e15-3f4b-4d8c-a1e6-9b0d5f2c8e74",
    "level": "info",
    "trigger": "api",
    "totalDurationMs": 1250,
    "startedAt": "2026-01-15T10:30:00Z",
    "endedAt": "2026-01-15T10:30:01Z",
    "createdAt": "2026-01-15T10:30:00Z"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}